
set( lbne_raw_data_VERSION 1.03.16 )
set( lbne_raw_data_UPS_VERSION v1_03_16 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_product( artdaq_core v1_00_00 )
    find_ups_boost( v1_53_0 )
    find_ups_product( art v1_08_10 )
    find_ups_product( cppunit v1_12_1a )
    find_ups_product( gccxml v0_9_20140718a )
    find_ups_product( clhep v2_2_0_3 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( cetlib v1_08_00 )
    find_ups_product( cpp0x v1_03_02 )
    find_ups_product( fhiclcpp v3_09_00 )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility v1_14_01 )
    find_ups_root( v5_34_20 )
    find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SIGC )
      cet_find_library( SIGC NAMES sigc-2.0 PATHS ENV LIBSIGCPP_LIB NO_DEFAULT_PATH )
    endif()
      set( LBNE-RAW-DATA_OVERLAYS  $ENV{LBNE_RAW_DATA_LIB}/liblbne-raw-data_Overlays.so )
      set( LBNE-RAW-DATA_BUILDINFO  $ENV{LBNE_RAW_DATA_LIB}/liblbne-raw-data_BuildInfo.so )
      include_directories ( $ENV{LBNE_RAW_DATA_INC} )

check_required_components(lbne_raw_data)

